Bug 1438596 - Include gdeploy multipath disable script
Summary: Include gdeploy multipath disable script
Status: CLOSED CURRENTRELEASE
Alias: None
Product: cockpit-ovirt
Classification: oVirt
Component: Gdeploy
Version: 0.10.7-0.0.15
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.1.2
: 0.10.7-0.0.18
Assignee: Devyani Kota
QA Contact: SATHEESARAN
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: Gluster-HC-3 1438675 1447919
TreeView+ depends on / blocked
 
Reported: 2017-04-03 21:50 UTC by Jason Brooks
Modified: 2017-05-23 08:11 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-05-23 08:11:59 UTC
sasundar: ovirt-4.1?
sabose: exception?
sasundar: planning_ack?
sabose: devel_ack+
sasundar: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 75337 master ABANDONED gdeploy: include gdeploy multipath disable script 2017-04-10 12:25 UTC
oVirt gerrit 75343 master MERGED gdeploy: include gdeploy multipath disable script 2017-04-17 12:00 UTC
oVirt gerrit 75403 ovirt-4.1 MERGED gdeploy: include gdeploy multipath disable script 2017-04-19 14:28 UTC

Description Jason Brooks 2017-04-03 21:50:36 UTC
Description of problem:

When I use the gdeploy that ships with ovirt node to set up a gluster cluster for use with hosted engine, using a single disk on each node for gluster, the installer cannot find my disk unless I include the disable multipath script from the gdeploy repo. See https://github.com/gluster/gdeploy/blob/master/extras/scripts/disable-multipath.sh and https://github.com/gluster/gdeploy/blob/master/examples/hc.conf#L67.

Version-Release number of selected component (if applicable):

cockpit-ovirt-dashboard-0.10.7-0.0.15.el7.centos.noarch

How reproducible:

Install gluster cluster on ovirt node using single data drive on each node. Fails with an error like:

failed: [ovirt-2.osas.lab] (item=/dev/sdb) => {"failed": true, "failed_when_result": true, "item": "/dev/sdb", "msg": "  Device /dev/sdb not found (or ignored by filtering).\n", "rc": 5}

Adding a section like the following allows the install to complete:

# Disable multipath
[script3]
action=execute
file=/usr/share/ansible/gdeploy/scripts/disable-multipath.sh

Comment 1 Yaniv Kaul 2017-04-04 06:52:00 UTC
I don't think that's a good solution. We want to blacklist local disks, but not disable multipath.

Comment 2 SATHEESARAN 2017-04-04 07:24:37 UTC
(In reply to Yaniv Kaul from comment #1)
> I don't think that's a good solution. We want to blacklist local disks, but
> not disable multipath.

gdeploy calls the script '/usr/share/ansible/gdeploy/scripts/disable-multipath.sh' which actually blacklists all the devices right now and not disables multipath.

Few weeks back, I have raised a gdeploy bug[1] to blacklist the specific device as per requirement and to have 'VDSM' tags right in the beginning of /etc/multipath.conf file. But this change can't be done for HCI 1.0, so right now we should document to have this part included for the user.

[1] - https://bugzilla.redhat.com/show_bug.cgi?id=1433564

Comment 3 SATHEESARAN 2017-04-04 07:26:11 UTC
Following the change in gdeploy bug as mentioned in comment2 , cockpit should generate the gdeploy config file along with the required ansible modules

Comment 4 SATHEESARAN 2017-04-04 07:28:32 UTC
Sorry this is not a known_issue for HCI 1.0, but required documentation. So removing the Known issues tracker

Comment 5 SATHEESARAN 2017-05-22 07:25:23 UTC
Tested with cockpit-ovirt-dashboard-0.10.7-0.0.18.el7ev

The generated gdeploy config file has the ansible [shell] module, that executes the script to blacklist all devices available to the machine


Note You need to log in before you can comment on or make changes to this bug.